Subject: Re: wu-ftpd won't log

From: Michael Helm <[email-masked]>
Date: Mon, 04 Aug 1997 22:20:36 -0700

[Sorry for the duplicate, Matthew!]

> Make sure you're running it with -a on the command line, otherwise your
> ftpaccess won't get parsed (and used.)

Hey, that does help a little.  Still no xferlog, but now I get
gibberish like this in the daemon.log syslog file:

Aug  4 22:08:35 foo ftpd[20717]: -i 0,-o 0,xferlog /usr/local/logs/xferlog: 0

What does this mean?

It looks like it must be this bit in ftpd.c:

#ifdef DEBUG
/* I had a lot of trouble getting xferlog working, because of two factors:
   acl_setfunctions making stupid assumptions, and sprintf LOSING.  _H*/
/*
 * Actually, sprintf was not losing, but the rules changed... next release
 * this will be fixed the correct way, but right now, it works well enough
 * -- sob
 */
      syslog (LOG_INFO, "-i %d,-o %d,xferlog %s: %d",
        log_incoming_xfers, log_outbound_xfers, logfile, xferlog);
#endif
    enable_signaling(); /* we can allow signals once again: kinch */
 
(about line #1486 in this version)

This seems to be the only thing that ever gets logged for any connection
at any time.  Everything's "0".  I know I've done some transfers &
that something should be tallied.

Why am I not seeing any thing else at all in log files, no login, no
other commands?  Why, when I remove the file xferlogs, does it not
complain?  Just more -i 0,-o 0,xferlog /usr/local/logs/xferlog: 0
for every connection.